import delay from 'delay';

fetch('http://localhost:11434/api/generate', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    model: 'qwen2.5-coder:1.5b', // replace with your model name
    prompt: 'Tell me a joke!',
    stream: false,
    think: false,
  }),
})
  .then((res) => res.json())
  .then((data) => data.response)
  .then(console.log)
  .catch(console.error);
